Subject: Re: [RFC PATCH 00/17] virtual-bus

From: Gregory Haskins <[email-masked]>
Date: Thu, 02 Apr 2009 07:06:07 -0400

Avi Kivity wrote:
> Herbert Xu wrote:
>> On Thu, Apr 02, 2009 at 12:27:17PM +0300, Avi Kivity wrote:
>>  
>>> If tap told us when the packets were actually transmitted, life
>>> would be  wonderful:
>>>     
>>
>> And why do we need this? Because we are in user space!
>>
>>   
>
> Why does a kernel solution not need to know when a packet is transmitted?
>

You do not need to know when the packet is copied (which I currently
do).  You only need it for zero-copy (of which I would like to support,
but as I understand it there are problems with the reliability of proper
callback (i.e. skb->destructor).

Its "fire and forget" :)

-Greg